Bug 2037024 (CVE-2021-45115)

Summary: CVE-2021-45115 django: Denial-of-service possibility in UserAttributeSimilarityValidator
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: amctagga, anharris, apevec, bbuckingham, bcoca, bcourt, bkearney, bniver, btotty, caswilli, cmeyers, davidn, dbecker, ehelms, flucifre, gblomqui, gmeno, hvyas, jal233, jcammara, jhardy, jjoyce, jobarker, jschluet, jsherril, jwong, kaycoth, lhh, lpeer, lzap, mabashia, mbenjamin, mburns, mhackett, mhroncok, mhulan, michel, mmccune, mrunge, myarboro, nmoumoul, notting, orabin, osapryki, pcreech, rchan, rdopiera, relrod, rhos-maint, rpetrell, sclewis, sdoran, sgallagh, slavek.kabrda, slinaber, smcdonal, sostapov, tkuratom, vereddy
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Django 4.0.1, Django 3.2.11, Django 2.2.26 Doc Type: If docs needed, set a value
Doc Text:
A resource-consumption flaw was found in django's UserAttributeSimilarityValidator, where it incurred significant overhead evaluating any submitted password that was artificially large relative to comparison values. A network attacker could exploit this flaw to cause a denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-07-05 20:10:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2037170, 2037171, 2040367, 2040368, 2040369, 2037172, 2037173, 2037174, 2037175, 2037753, 2037754, 2050718, 2050745    
Bug Blocks: 2037030    

Description Pedro Sampaio 2022-01-04 16:46:18 UTC
:class:`.UserAttributeSimilarityValidator` incurred significant overhead
evaluating submitted password that were artificially large in relative to the
comparison values. On the assumption that access to user registration was
unrestricted this provided a potential vector for a denial-of-service attack.

References:

https://www.djangoproject.com/weblog/2022/jan/04/security-releases/

Comment 1 Summer Long 2022-01-05 06:57:26 UTC
Created django:1.6/python-django tracking bugs for this issue:

Affects: fedora-all [bug 2037170]


Created python-django tracking bugs for this issue:

Affects: epel-all [bug 2037171]
Affects: fedora-all [bug 2037174]
Affects: openstack-rdo [bug 2037172]

Comment 9 errata-xmlrpc 2022-07-05 14:27:29 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.11 for RHEL 7
  Red Hat Satellite 6.11 for RHEL 8

Via RHSA-2022:5498 https://access.redhat.com/errata/RHSA-2022:5498

Comment 10 Product Security DevOps Team 2022-07-05 20:10:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-45115